Skip to main content
GET
/
api
/
public
/
organizations
/
{orgId}
/
mcp-servers
/
{id}
Get an MCP server
curl --request GET \
  --url https://charts.basedash.com/api/public/organizations/{orgId}/mcp-servers/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "displayName": "<string>",
    "serverUrl": "<string>",
    "serverLabel": "<string>",
    "lastSyncAttemptAt": "2023-11-07T05:31:56Z",
    "lastSuccessfulSyncAt": "2023-11-07T05:31:56Z",
    "hasCompletedFirstSync": true,
    "syncErrorMessage": "<string>",
    "tools": [
      {
        "id": "<string>",
        "name": "<string>",
        "description": "<string>",
        "readOnlyHint": true,
        "foundInServer": true
      }
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key authentication using Bearer token format: Bearer <basedash_api_key>

Path Parameters

orgId
string
required

Organization ID

id
string
required

MCP server ID

Response

MCP server retrieved successfully

data
object
required